#!/bin/bash

ttydev=$(tty)
ttyname=${ttydev#*/dev/}

ptstr="pts"
ttystr="tty"

xdg_runtime_dir=$(env | grep -w XDG_RUNTIME_DIR)
env_dir=${xdg_runtime_dir#*XDG_RUNTIME_DIR=}
xdg_uid=${env_dir#*/run/user/}
uid=$(id -u)

create_pts_or_tty_env_file()
{
	mkdir -p ${env_dir}/.kysec/${ttyname}
        env | grep -w -E 'LANG|USER|HOME|DISPLAY|LANGUAGE|XAUTHORITY|XDG_RUNTIME_DIR|QT_QPA_PLATFORMTHEME|DBUS_SESSION_BUS_ADDRESS' > ${env_dir}/.kysec/${ttyname}/env
}

create_notty_env_file()
{
	user=$(env | grep -w USER)
	uname=${user#*USER=}

	mkdir -p ${env_dir}/.kysec/${uname}
        env | grep -w -E 'LANG|USER|HOME|DISPLAY|LANGUAGE|XAUTHORITY|XDG_RUNTIME_DIR|QT_QPA_PLATFORMTHEME|DBUS_SESSION_BUS_ADDRESS' > ${env_dir}/.kysec/${uname}/env
}

if [ "x$uid" = "x$xdg_uid" ]; then
	case "$ttyname" in
		"$ptstr"*|"$ttystr"*)
			create_pts_or_tty_env_file
			;;
		*)
			create_notty_env_file
			;;
	esac
fi
